Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class Index

Constructor Summary
`Index(int size)`
`Index()`
`Index(boolean size)`

Method Summary
`boolean` | `checkEquals(def e, Object key)`
`SingleKeyHashMap` | `getNotNull(CachedClass key)`
`SingleKeyHashMap` | `getNullable(CachedClass clazz)`
`void` | `put(CachedClass key, SingleKeyHashMap value)`

Constructor Detail

### Index

    public Index(int size)

### Index

    public Index()

### Index

    public Index(boolean size)

Method Detail

### checkEquals

    public boolean checkEquals(def e, Object key)

### getNotNull

    public SingleKeyHashMap getNotNull(CachedClass key)

### getNullable

    public SingleKeyHashMap getNullable(CachedClass clazz)

### put

    public void put(CachedClass key, SingleKeyHashMap value)